Loading...
Searching...
No Matches
CRC32 Class Reference

Class that computes the Cyclic Redundancy Check (CRC). More...

`#include <nanovdb/util/GridChecksum.h>`

## Public Member Functions

| CRC32 ()
void | reset ()
HashT | checksum () const
template<typename IterT>
void | operator() (IterT begin, IterT end)
void | operator() (const void *data, size_t byteSize)
template<typename T>
void | operator() (const T &data)

## Static Public Attributes

static const HashT | EMPTY = ~HashT{0} & HashT{0xFFFFFFFFuL}

## Detailed Description

Class that computes the Cyclic Redundancy Check (CRC).

## Constructor & Destructor Documentation

## CRC32()

CRC32 | ( |  | ) |

inline

## Member Function Documentation

## checksum()

HashT checksum | ( |  | ) | const

inline

## operator()() [1/3]

template<typename T>

void operator() | ( | const T & | data | ) |

inline

## operator()() [2/3]

void operator() | ( | const void * | data,
|  | size_t | byteSize )

inline

## operator()() [3/3]

template<typename IterT>

void operator() | ( | IterT | begin,
|  | IterT | end )

inline

## reset()

void reset | ( |  | ) |

inline

## Member Data Documentation

## EMPTY

const HashT EMPTY = ~HashT{0} & HashT{0xFFFFFFFFuL}

static